﻿/*
  wavp_audio.h - wavp library
  Copyright (c) 2015 Mitsuhiro Matsuura.  All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/
/*
  Modified 20 Mar 2017 by Nozomu Fujita
   ・wavp_pwmsf() 追加
*/

extern void wavp_pwmsf(unsigned long sf);
extern void wavp_pwmclk(unsigned long i);
extern void wavp_audio_set(unsigned long sf, int databit, int ch);
extern void wavp_put(void *read_buffer, int size);
extern void wavp_end(void);
