﻿/*
  wavp_config.h - wavp library
  Copyright (c) 2015 Mitsuhiro Matsuura.  All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
*/
/*
  Modified 20 Mar 2017 by Nozomu Fujita
   ・PWM_FREQ 削除
   ・WAVDATA_8BIT 削除
   ・WAVP_PLAY_MESSAGE 追加
*/

// バッファアンダーフロー警告
#if 1
// 使用しない
#define CHECK_UNDERFLOW()
#else
// 使用する
#define CHECK_UNDERFLOW()		\
		P1.BIT.bit7 = 1;		\
	}							\
	else						\
	{							\
		PM1.BIT.bit7 = 0;		\
		P1.BIT.bit7 = 0;
#endif

// エラーメッセージ出力
#if 0
// 有効化
#define WAVP_PLAY_MESSAGE 1
#else
// 無効化
#define WAVP_PLAY_MESSAGE 0
#endif
